#!/bin/sh
java -classpath ../lib/config.jar:../lib/xmlParserAPIs.jar:../lib/xercesImpl.jar:../lib/xsdbeans.jar serviceconfig.SetConfig $*
echo 'Generating default security files'
unset JAVA_HOME
export LD_PRELOAD=/usr/lib/libstdc++-libc6.1-1.so.2
gsk5cmd -keydb -delete -db ../security/ibmrac.kdb -pw password
gsk5cmd -keydb -create -db ../security/ibmrac.kdb -pw password -type cms -stash
gsk5cmd -cert -create -db ../security/ibmrac.kdb -pw password -dn "CN=`hostname`,O=ACME Widgets,C=US" -label defaultCert -size 1024 -x509version 3 -default_cert yes
gsk5cmd -cert -extract -db ../security/ibmrac.kdb -pw password -label defaultCert -target ../security/cert.arm
